{**
 * 2007-2022 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2022 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
 <div class="panel">
<div class="panel sendingbay-admin-panel">
    <div class="panel-heading">
        <a data-toggle="modal" data-target="#view_tutorial" class="btn btn-default">{l s='TUTORIAL' d='Modules.sendingbay'} <i class="icon-youtube-play"></i></a>
        <div class="col-sm-11"><i class="icon-cogs"></i> {l s='Fact Config' d='Modules.sendingbay'}</div>
    </div>
    <div class="form-wrapper">       
        <form action="{$sendingbay.postAction}" method="post" enctype="application/x-www-form-urlencoded,multipart/form-data">
        <button type="button" class="btn btn-primary"  data-toggle="collapse" data-target="#configFact" style="cursor: pointer;">Ver y Ocultar opciones de Configuración</button><br>
        <div id="configFact" class="collapse"><br>
        <ul class="nav nav-tabs">
            <li class="nav-item">
                <a class="btnpConfig nav-link active" data-toggle="tab" href="#fact">Configuración FACT</a>
            </li>
            <li class="nav-item">
                <a class="btnpRemi nav-link" data-toggle="tab" href="#sender">Configuración Remitente</a>
            </li>
            <li class="nav-item">
                <a class="btnpCron nav-link" data-toggle="tab" href="#cron">Configuración CRON</a>
            </li>

        </ul><br>
            <div class="tab-content">
            
            <!-- BLOQUE CONFIGURACION -->
                <div class="tab-pane container active" id="fact">
                
                <div class='col-md-10 text-right' style="margin-bottom: 1rem;padding-right: 56px;">
                {if $sendingbay.grid == 'false' || $sendingbay.grid == '' || $sendingbay.grid == null}
                    <!--<div class="col-md-4 text-right"><input chk-grid="" type="checkbox" id="chkGrid"  class="chkGrid"> Habilitar en Grid de Pedidos   </div>  -->
                    <div class="col-md-4 text-right"><input chk-grid="" type="checkbox" id="chkGrid"  class="chkGrid hidden"></div>
                {else}
                    <!--<div class="col-md-4 text-right"><input chk-grid="" type="checkbox" id="chkGrid" checked  class="chkGrid"> Habilitar en Grid de Pedidos   </div>  -->
                    <div class="col-md-4 text-right"><input chk-grid="" type="checkbox" id="chkGrid" checked  class="chkGrid hidden"></div>  
                {/if}
                    
                    <div class="col-md-8 text-right"><a href='#' data-get-fact-credentials='' class='btn btn-default get-fact-credentials' title='Solicitar Credenciales de Conexión'>Solicitar Credenciales de Conexión</a></div>                       
                </div> 
                <div class="form-group">													
                <label class="control-label col-lg-2">
                    {$sendingbay.customControls['UBILOPFACT_SAVE_USUARIO']['label']}
                </label>
                

                <div class="col-lg-10">	
                    <div class="form-group">
                        {foreach item=lang from=$sendingbay.languagesArray}  
                            <div class="translatable-field lang-{$lang["id_lang"]}" 
                                 {if $sendingbay.currentLang != $lang["id_lang"]}style="display: none;"{/if}>
                                <div class="col-lg-9">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="icon-user"></i>
                                        </span>      
                                                                
                                        <input type="text" 
                                            id="{$sendingbay.customControls['UBILOPFACT_SAVE_USUARIO']['controlName']}_1"
                                            name="{$sendingbay.customControls['UBILOPFACT_SAVE_USUARIO']['controlName']}_1"
                                            class="txtUsuario" value="{$sendingbay.customControls['UBILOPFACT_SAVE_USUARIO']['values'][$lang["id_lang"]]}"
                                            onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                                    </div>                                  
                                </div>
                            </div>                           
                        {/foreach}                       
                    </div>  
                    <p class="help-block">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_USUARIO']['desc']}
                    </p>
                </div>      
            </div> 
            <div class="form-group">													
                <label class="control-label col-lg-2">
                    {$sendingbay.customControls['UBILOPFACT_SAVE_CLAVE']['label']}
                </label>											            
                <div class="col-lg-10">	
                    <div class="form-group">
                        {foreach item=lang from=$sendingbay.languagesArray}  
                            <div class="translatable-field lang-{$lang["id_lang"]}" {if $sendingbay.currentLang != $lang["id_lang"]}style="display: none;"{/if}>
                                <div class="col-lg-9">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="icon-eye verPass" style="cursor: pointer;"></i>
                                        </span>                                
                                        <input type="password" id="{$sendingbay.customControls['UBILOPFACT_SAVE_CLAVE']['controlName']}_1" 
                                        name="{$sendingbay.customControls['UBILOPFACT_SAVE_CLAVE']['controlName']}_1" 
                                        class="txtClave" value="{$sendingbay.customControls['UBILOPFACT_SAVE_CLAVE']['values'][$lang["id_lang"]]}" 
                                        onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                                    </div>                                  
                                </div>
                            </div>                           
                        {/foreach}               
                    </div>
                    <p class="help-block">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_CLAVE']['desc']}
                    </p>

                </div>   
            </div>
           
           <div class="form-group">													
                <label class="control-label col-lg-2">
                    {$sendingbay.customControls['UBILOPFACT_SAVE_WS']['label']}
                </label>											            
                <div class="col-lg-10">	
                    <div class="form-group">
                        {foreach item=lang from=$sendingbay.languagesArray}  
                            <div class="translatable-field lang-{$lang["id_lang"]}" {if $sendingbay.currentLang != $lang["id_lang"]}style="display: none;"{/if}>
                                <div class="col-lg-9">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="icon-user"></i>
                                        </span>                                
                                        <input type="text" id="{$sendingbay.customControls['UBILOPFACT_SAVE_WS']['controlName']}_1" 
                                        name="{$sendingbay.customControls['UBILOPFACT_SAVE_WS']['controlName']}_1" 
                                        class="urlWS" 
                                        value="{$sendingbay.customControls['UBILOPFACT_SAVE_WS']['values'][$lang["id_lang"]]}" 
                                        onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                                    </div>                                  
                                </div>
                            </div>                           
                        {/foreach}               
                    </div>
                    <p class="help-block">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_WS']['desc']}
                    </p>

                </div>   
            </div>

            <div class="form-group">													
                <label class="control-label col-lg-2">
                    {$sendingbay.customControls['UBILOPFACT_SAVE_IRIS']['label']}
                </label>											            
                <div class="col-lg-10">	
                    <div class="form-group">
                        {foreach item=lang from=$sendingbay.languagesArray}  
                            <div class="translatable-field lang-{$lang["id_lang"]}" {if $sendingbay.currentLang != $lang["id_lang"]}style="display: none;"{/if}>
                                <div class="col-lg-9">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="icon-user"></i>
                                        </span>                                
                                        <input type="text" id="{$sendingbay.customControls['UBILOPFACT_SAVE_IRIS']['controlName']}_1" 
                                        name="{$sendingbay.customControls['UBILOPFACT_SAVE_IRIS']['controlName']}_1" 
                                        class="urlIris" value="{$sendingbay.customControls['UBILOPFACT_SAVE_IRIS']['values'][$lang["id_lang"]]}" 
                                        onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                                    </div>                                  
                                </div>
                            </div>                           
                        {/foreach}               
                    </div>
                    <p class="help-block">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_IRIS']['desc']}
                    </p>

                </div>   
            </div>

            <div class="form-group">													
                <label class="control-label col-lg-2">
                    {$sendingbay.customControls['UBILOPFACT_SAVE_DEPARTAMENTO']['label']}
                </label>											            
                <div class="col-lg-10">	
                    <div class="form-group">
                        {foreach item=lang from=$sendingbay.languagesArray}  
                            <div class="translatable-field lang-{$lang["id_lang"]}" {if $sendingbay.currentLang != $lang["id_lang"]}style="display: none;"{/if}>
                                <div class="col-lg-9">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="icon-user"></i>
                                        </span>                                
                                        <input type="text" id="{$sendingbay.customControls['UBILOPFACT_SAVE_DEPARTAMENTO']['controlName']}_1" 
                                        name="{$sendingbay.customControls['UBILOPFACT_SAVE_DEPARTAMENTO']['controlName']}_1" 
                                        class="departamento" value="{$sendingbay.customControls['UBILOPFACT_SAVE_DEPARTAMENTO']['values'][$lang["id_lang"]]}" 
                                        onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                                    </div>                                  
                                </div>
                            </div>                           
                        {/foreach}               
                    </div>
                    <p class="help-block">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_DEPARTAMENTO']['desc']}
                    </p>

                </div>   
            </div>

            <div class="form-group">													
                <label class="control-label col-lg-2">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['label']}
                    </label>
                    <div class="col-lg-9">											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-truck"></i>
                                </span>                                
                                <select data-carrier="" multiple style="width: 80%;" id="sltCarrier" name="carrier" value="{$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['values'][$lang["id_lang"]]}" class="custom-select select-carrier">
                                    <option value="{$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['values'][$lang["id_lang"]]}">
                                    {if $sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['values'][$lang["id_lang"]] == ''}Seleccione Transportista
                                    {else}{$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['values'][$lang["id_lang"]]}{/if}</option>
                                        <option value="all"  >Ninguno</option>
                                    </select>
                                    <input type="hidden" id="{$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['controlName']}_1" 
                                    name="{$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['controlName']}_1" class="sendingbay-language carrier" 
                                    value="{$sendingbay.customControls['UBILOPFACT_SAVE_CARRIER']['values'][$lang["id_lang"]]}" 
                                    onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/> 
                            </div>                                   
                    </div>
                    
            </div>
            

           <!-- <div class="form-group pt-3">
                            <label for="">Servicio Predeterminado:</label>
                            <select data-service="" id="sltServicio" name="servicio" value="{$sendingbay.customControls['UBILOPFACT_SAVE_SERVICE']['values'][$lang["id_lang"]]}" class="custom-select servicio">
                                <option value="{$sendingbay.customControls['UBILOPFACT_SAVE_SERVICE']['values'][$lang["id_lang"]]}">
                                {if $sendingbay.customControls['UBILOPFACT_SAVE_SERVICE']['values'][$lang["id_lang"]] == ''}Seleccione Servicio
                                {else}{$sendingbay.customControls['UBILOPFACT_SAVE_SERVICE']['values'][$lang["id_lang"]]}{/if}</option>

                            </select>                      
                    </div><br> --> 
       
        </div>

        <!-- BLOQUE REMITENTES -->
        <div class="tab-pane container fade col-sm-12" id="sender">



        <div class="container" style="padding-bottom:55px;">

        <div class="section header">
                        <div class="col-sm-12 col-md-4" >
                            <label style="margin-left:0" for="sltRemitente">Remitente</label>
                            <select data-sender="" id="sltRemitente"  value="{$sendingbay.idRemi}" class="myform-control form-control validate  sltRemitente" data-position="top" data-tooltip="Tipo de servicio de transporte solicitado">
                                <option value="{$sendingbay.idRemi}" selected="">{if $sendingbay.nombre == ''}Nuevo Remitente
                                {else}{$sendingbay.nombre}{/if}</option>
                            </select>                                      
                        </div> 

                        <div class="col-sm-12 col-md-4 text-center">
                                <a class="btn btn-primary tooltipped newSender" style="" data-position="top" data-tooltip="Especifique los datos del remitente con los 
                                que desea trasmitir sus ordenes al FACT(En caso de no registrar ninguno el sistema tomará los datos de la tienda como remitente por 
                                defecto)">Nuevo Remitente</a>                                                     
                        </div>

                        <div class="col-sm-12 col-md-4">
                        {if $sendingbay.estadoR == 1}
                            <label style="margin-left:0" for="sltEstado">Remitente Predeterminado</label><select disabled data-estado="" id="sltEstado"  value="1" class="wc-enhanced-select browser-default tooltipped sltEstado" data-position="top" data-tooltip="Remitente Predeterminado"><option value="1" selected="">Si</option><option value="0">No</option></select>
                        {else}
                            <label style="margin-left:0" for="sltEstado">Remitente Predeterminado</label><select  data-estado="" id="sltEstado"  value="0" class="wc-enhanced-select browser-default tooltipped sltEstado" data-position="top" data-tooltip="Remitente Predeterminado"><option value="1" selected="">Si</option><option value="0">No</option></select>
                        {/if}
                            
                        </div>
                    </div>
            
            <div class="col-sm-12 col-md-4" style="padding-top:25px;">	
                <div class="form-group">
                <input id='idRemi' value="{$sendingbay.idRemi}" type='hidden'>													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_NOMBRE']['label']}
                    </label>	
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="icon-user"></i>
                            </span>                                
                            <input type="text" id="nombre" name="nombre" class="txtNombre" value="{$sendingbay.nombre}"/>
                        </div>                                                          
                </div>
            </div> 
            
            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_DIRECCION']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-sitemap"></i>
                                </span>                                
                                <input type="text" id="direccion" name="direccion" class="txtDireccion" value="{$sendingbay.direccion}"/>
                            </div>                                  
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_POBLACION']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-location-arrow"></i>
                                </span>                                
                                <input type="text" id="poblacion" name="poblacion" class="txtPoblacion" value="{$sendingbay.poblacion}"/>
                            </div>                                      
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_CODPOSTAL']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-flag-checkered"></i>
                                </span>                                
                                <input type="text" id="codPostal" name="codPostal" class="txtCodPostal" value="{$sendingbay.codPostal}"/>
                            </div>                                    
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_PAIS']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-globe"></i>
                                </span>                                
                                <input type="text" id="pais" name="pais" class="txtPais" value="{$sendingbay.pais}"/>
                            </div>                                   
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_TELEFONO']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-mobile-phone"></i>
                                </span>                                
                                <input type="text" id="telefono" name="telefono" class="txtTelefono" value="{$sendingbay.telefono}"/>
                            </div>                                     
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_EMAIL']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-mail-forward"></i>
                                </span>                                
                                <input type="text" id="email" name="email" class="txtEmail" value="{$sendingbay.email}"/>
                            </div>                                     
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_CONTACTO']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-group"></i>
                                </span>                                
                                <input type="text" id="contacto" name="contacto" class="txtContacto" value="{$sendingbay.contacto}"/>
                            </div>                                     
                </div>
            </div>

            <div class="col-sm-12 col-md-4" style="padding-top:25px;">
                <div class="form-group">													
                    <label class="control-label">
                        {$sendingbay.customControls['UBILOPFACT_SAVE_SERVICE']['label']}
                    </label>											            	
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon-truck"></i>
                                </span>                                
                                <select data-service="" id="sltServicio" name="sltServicio" value="{$sendingbay.servicio}" class="custom-select servicio">
                                    <option value="{$sendingbay.servicio}">
                                    {if $sendingbay.servicio == ''}Seleccione Servicio
                                    {else}{$sendingbay.servicio}{/if}</option>
                                    </select>
                                     
                                    
                                    <input type="hidden" id="servicio" name="servicio" value="{$sendingbay.servicio}" />
                            </div> 
                            <div class="form-group">													
                                <label class="control-label">Ingresar Manualmente &nbsp</label><input chk-servicio="" type="checkbox"  id="chkServicio" class="chkServicio">
                                                                                            
                                <div class="input-group">                               
                                    <input type="text"  name="servicio" class="servicio1" style="display:none" value="{$sendingbay.servicio}"/>
                                </div>                                     
                            </div>                                   
                    </div>
                </div>
            </div>                    
        </div>

        <!-- BLOQUE ESTADOS CRON -->
        <div class="tab-pane container fade" id="cron">
            <div class="form-group">													
               <div class="col-lg-12">

               <div class="form-group pt-3">
               <label class="control-label col-lg-9"> </label>
               <label class="control-label col-lg-1"> Ejecutar cada</label>
                           <div class="col-lg-1">
                               <div class="input-group">
                                   <span class="input-group-addon">
                                       <i class="icon-time"></i>
                                   </span>                                
                                   <input type="text" id="{$sendingbay.customControls['UBILOPFACT_HORA_CRON']['controlName']}_1" 
                                   name="{$sendingbay.customControls['UBILOPFACT_HORA_CRON']['controlName']}_1" 
                                   class="cronHora" value="{$sendingbay.customControls['UBILOPFACT_HORA_CRON']['values'][$lang["id_lang"]]}" 
                                   onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                               </div>                                  
                           </div>
                           <label class="control-label"> Horas</label>                                                      
                       
               </div><br> 

                    <div class="form-group pt-3">
                            <label for="">Estado Documentado:</label>
                            <select data-estados="" id="sltDocumentado" name="documentado" value="{$sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['values'][$lang["id_lang"]]}" class="custom-select select-state">
                                <option value="{$sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['values'][$lang["id_lang"]]}">
                                {if $sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['values'][$lang["id_lang"]] == ''}Seleccione Equivalencia
                                {else}{$sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['values'][$lang["id_lang"]]}{/if}</option>
                                
                                <option value=""  >Ninguno</option>
                            </select>
                            <input type="hidden" id="{$sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['controlName']}_1" 
                                            name="{$sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['controlName']}_1" class="sendingbay-language documentado" 
                                            value="{$sendingbay.customControls['UBILOPFACT_SAVE_DOCUMENTADO']['values'][$lang["id_lang"]]}" 
                                            onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>                        
                    </div><br> 
                                    


                    <div class="form-group pt-3">
                            <label for="{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['values'][$lang["id_lang"]]}">Estado En Reparto:</label>
                            <select data-estados="" id="sltReparto" name="reparto" value="{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['values'][$lang["id_lang"]]}" class="custom-select select-state">
                            <option value="{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['values'][$lang["id_lang"]]}">
                            {if $sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['values'][$lang["id_lang"]] == ''}Seleccione Equivalencia
                            {else}{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['values'][$lang["id_lang"]]}{/if}</option>
                                <option value=""  >Ninguno</option>
                            </select>
                            <input type="hidden" id="{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['controlName']}_1" 
                            name="{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['controlName']}_1" class="sendingbay-language reparto" 
                            value="{$sendingbay.customControls['UBILOPFACT_SAVE_REPARTO']['values'][$lang["id_lang"]]}" 
                            onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>                     
                    </div><br>

                    <div class="form-group pt-3">

                            <label for="{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['values'][$lang["id_lang"]]}">Estado Entregado:</label>
                            <select data-estados="" id="sltEntregado" name="entregado" value="{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['values'][$lang["id_lang"]]}" class="custom-select select-state">
                            <option value="{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['values'][$lang["id_lang"]]}">
                            {if $sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['values'][$lang["id_lang"]] == ''}Seleccione Equivalencia
                            {else}{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['values'][$lang["id_lang"]]}{/if}</option>
                                <option value=""  >Ninguno</option>
                            </select>
                            <input type="hidden" id="{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['controlName']}_1" 
                            name="{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['controlName']}_1" class="sendingbay-language entregado" 
                            value="{$sendingbay.customControls['UBILOPFACT_SAVE_ENTREGADO']['values'][$lang["id_lang"]]}" 
                            onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                
                    </div><br>

													
                    <div class="form-group pt-3">
							
							
							
                            <label for="{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['values'][$lang["id_lang"]]}">Estado Anulado:</label>
                            <select data-estados="" id="sltCancelado" name="cancelado" value="{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['values'][$lang["id_lang"]]}" class="custom-select select-state">
                            <option value="{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['values'][$lang["id_lang"]]}">
                            {if $sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['values'][$lang["id_lang"]] == ''}Seleccione Equivalencia
                            {else}{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['values'][$lang["id_lang"]]}{/if}</option>
                                <option value=""  >Ninguno</option>
                            </select>
                            <input type="hidden" id="{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['controlName']}_1" 
                            name="{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['controlName']}_1" class="sendingbay-language cancelado" 
                            value="{$sendingbay.customControls['UBILOPFACT_SAVE_CANCELADO']['values'][$lang["id_lang"]]}" 
                            onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();"/>
                
                    </div><br>									            
            
 
 
            </div>
            
            </div>
        </div>
        </div>
            <div class="panel-footer">
                <div class="col-sm-8" style="margin-top: -1rem;">
                
                     {if $sendingbay.login == 'Login OK'}
                        <br>Login :   <span class="loginT"> <i class="icon-check" style="color:#8bc34a"></i></span>
                     {else}
                        <br>Login: <span class="loginT" style="color: red;">  X  </span>
                        <!--<br>Servidor no encontrado, establezca o verifique la url del WebService, puede solicitar sus credenciales contactando al departamento de soporte en <a href='http://sendingbay.com' target='_blank'>sendingbay.com</a>-->
                     {/if} 
                     {if $sendingbay.estado == 'OK'}
                        <br>Estado: {$sendingbay.estado} / {$sendingbay.agencia} <span class="loginS"><i class="icon-check" style="color:#8bc34a"></i></span>
                        <br>Mod Versión: <span class="modV">  {$sendingbay.version}  <a version-mod = "{$sendingbay.version}" id="versionMod" class="versionMod" href="https://sendingbay.com/ecommerce.html" target="_blank" style="display:none;">--> Descarga la última versión aquí </a> </span>
                     {else}
                        <br>Login: <span class="loginS" style="color: red;">  X  </span>
                        <!--<br>Servidor no encontrado, establezca o verifique la url del WebService, puede solicitar sus credenciales contactando al departamento de soporte en <a href='http://sendingbay.com' target='_blank'>sendingbay.com</a>-->
                    {/if}

                                               
                </div>
                <div class="col-sm-4">
                   <!-- <button type="submit" value="1" id="{$sendingbay.saveButton['UBILOPFACT_SAVE_FORM']['controlName']}" 
                    name="{$sendingbay.saveButton['UBILOPFACT_SAVE_FORM']['controlName']}" class="btn btn-default pull-right  btnGuardar">
                    <i class="process-icon-save btnSave"></i> {$sendingbay.saveButton['UBILOPFACT_SAVE_FORM']['label']}
                    </button> -->

                    <button type="button" value="1" id="btnGuardar" name="btnGuardar"  class="btn btn-default pull-right  btnGuardar">
                    <i class="process-icon-save btnSave"></i> {$sendingbay.saveButton['UBILOPFACT_SAVE_FORM']['label']}
                    </button>
                    <button type="button" value="" id="btnRemitente" name="btnRemitente" style="display:none" class="btn btn-default pull-right remitentegs">
                    <i class="process-icon-save"></i>Guardar
                </button>
                </div> 
                
            </div> 
        
        </form>  
    </div>
    </div>    
</div> 

<!-- Panel Pedidos -->
<div class="panel">
    <div class="panel sendingbay-admin-panel">
        <div class="panel-heading">
          
                <i class="icon-list"></i> {l s='Consultar Pedidos' d='Modules.sendingbay'}
                
        </div>
        <div class="form-wrapper">  

        <div class="row"><br>
            <form action="#" method="POST" id="frmFiltFechaPed">
                <div class="text-left">
                    <div class="col-sm-12 col-lg-4">
                        <label for="fechaDesde">Fecha desde:</label>
                        <input type="date" class="form-control" value="" name="fechaDesdeP" id="fechaDesdeP" required>

                    </div>
                    <div class="col-sm-12 col-lg-4">
                        <label for="fechaHasta">Fecha hasta:</label>
                        <input type="date" class="form-control" value="" name="fechaHastaP" id="fechaHastaP" required>
                    </div>
                    <div class="col-sm-12 col-lg-4">
                        <a class="btn btn-primary btnFiltrarP" id="btnFiltrarP" style="margin-top:22px;" >
                            <span>Filtrar busqueda</span>
                        </a>
                    </div>

                </div>
            </form>
        </div>
        <div class="mensaje"></div>
        
                    
            
        <div class="row" id="areaPedidos" style="display:none;">

        <div class='form-group'><br>
                            <span class="">
                                <i class="icon-search"></i>
                            </span> 
                            <label for=''>Filtrar listado por numero de Pedido</label>
                            <input type='text' class='form-control' id='buscarP'>                        
                    </div>

                <span class="center-left"><span class="center-left"> 
                <br><img class="" src="" style="margin: -10px 9px;border-radius: 49%;" width="52px" /></span>

                <div id="btnPrintMasive" class="right-align" style="display: none; text-align-last: end;">
                    <a id="printMasive" alba-desde-masive="" alba-hasta-masive=""  class="printMasive btn btn-primary masive pointer" style="margin-left: 10px;" name="printMasive"  ><img class="hide imgSpinner1" style="margin: -2px 4px; width:25px" src="dist/img/loader2.gif">&nbsp;Imprimir Etiquetas&nbsp;<i class="fa fa-print"></i></a>
                </div>
                <div id="btnTranMasive" class="right-align" style="display: none; ">
                    <a id="tranMasive" class="tranMasive btn btn-primary  pointer" style="margin-left: 10px;" onclick="FactMasive();"><i class="icon-send"></i>&nbsp;Generar Etiquetas</a>
                 </div>
                <br><br>
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                            <tr>
                                <th><div><label><input type='checkbox' id='chkAll'/><span class='lever'></span> Todos</label></div></th>
                                <th>Fecha</th>
                                <th>Referencia</th>
                                <th>Orden</th>
                                <th>Cliente</th>
                                <th>Precio</th>
                                <th>Estado</th>
                                <th>Transmitir</th>
                            </tr>

                        </thead>
                        <tbody id="tblPedidos">
                        
                                    <tr id='idR' idRegistro=''>
                                        <td id='chkId' ></td>
                                        <td id='fechaP' fecha=''></td>
                                        <td id='refeP' refe=''></td>
                                        <td id='ordenP' orden=''></td>
                                        <td id='clienteP' cliente =''></td>
                                        <td id='precioP'></td>
                                        <td id='estadoP' estado =''></td>
                                        <td>
                                            <span data-fact-id-view='' class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Detalles del Envío'>
                                            <a href='#' title='Visualizar Detalles del Envío'><i class='tiny material-icons'>visibility</i></a>
                                            </span>
                                        </td>
                                    </tr>

                        </tbody>
                    </table>

                </div>
            </div>
        
        </div>    
    </div>
</div>


<div class="panel">
    <div class="panel sendingbay-admin-panel">
        <div class="panel-heading">
          
                <i class="icon-list"></i> {l s='Consultar Envios' d='Modules.sendingbay'}
                       
                <div class='text-right'>
                    <a href='#' data-update-state-send='' class='btn btn-default update-state-send' title='Ejecutar Actualizador de estados envios'>Ejecutar Actualizador de estados envios</a>                    
                </div>                          
        </div>
        <div class="form-wrapper">  
            <div id="notifySend" class='' style="display: none;">
                   <div class="alert alert-success">
                    <strong>Success!</strong> Estados Envíos Actualizados.
                </div>
            </div>     

        <div class="row"><br>
            <form action="#" method="POST" id="frmFiltFechaEnvios">
                <div class="text-left">
                    <div class="col-sm-12 col-lg-4">
                        <label for="fechaDesde">Fecha desde:</label>
                        <input type="date" class="form-control" value="" name="fechaDesde" id="fechaDesde" required>

                    </div>
                    <div class="col-sm-12 col-lg-4">
                        <label for="fechaHasta">Fecha hasta:</label>
                        <input type="date" class="form-control" value="" name="fechaHasta" id="fechaHasta" required>
                    </div>
                    <div class="col-sm-12 col-lg-4">
                        <a class="btn btn-primary btnFiltrar" id="btnFiltrar" style="margin-top:22px;" >
                            <span>Filtrar busqueda</span>
                        </a>
                    </div>

                </div>
            </form>
        </div>
        <div class="mensaje"></div>
        <div id="manifestSearch" style="display: none;">
                    <div class='form-group'><br>
                            <span class="">
                                <i class="icon-search"></i>
                            </span> 
                            <label for=''>Filtrar listado por numero de orden o albarán </label>
                            <input type='text' class='form-control' id='buscar'>                        
                    </div>

            <div class="text-right" style="padding-top:50px;">

                    <span data-fact-id-manifest='' class='btn btn-primary manifest' data-position='top' data-tooltip='Manifiesto PDF'>
                        Manifiesto
                    </span>
                    <span id="fechaMasive" alba-desde-masive='' alba-hasta-masive='' class='btn btn-primary masive' data-position='top' data-tooltip='Impresión Masiva PDF'>
                        Impresión Masiva PDF
                    </span>               
                
            </div>
            
        <div class="row">
                <span class="center-left"><span class="center-left"> 
                <br><img class="" src="" style="margin: -10px 9px;border-radius: 49%;" width="52px" /></span>
                <br><br>
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Orden</th>
                                <th>Albaran</th>
                                <th>Cliente</th>
                                <th>Nombre</th>
                                <th>Estado</th>
                                <th>Seguimiento</th>
                                <th>Detalles envío</th>
                                <th>Estados envío</th>
                                <th>Imprimir envío</th>
                                <th>Devolución</th>
                                <th>Cambio</th>
                            </tr>

                        </thead>
                        <tbody id="tblOrdenes">
                        
                                    <tr id='idR' idRegistro=''>
                                        <td id='fec' fecha=''></td>
                                        <td id='ord' orden=''></td>
                                        <td id='rec' albaran =''> </td>
                                        <td id='cli' cliente =''></td>
                                        <td id='nomcli' nombre_cliente =''></td>
                                        <td id='est' estado =''></td>
                                        <td id='seg' estado =''></td>
                                        <td>
                                            <span data-fact-id-view='' class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Detalles del Envío'>
                                            <a href='#' title='Visualizar Detalles del Envío'><i class='tiny material-icons'>visibility</i></a>
                                            </span>
                                        </td>
                                        <td>
                                            <span data-fact-id-list='' class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Estados del Envío'>
                                            <a href='#' title='Visualizar Estados del Envío'><i class='tiny material-icons'>list</i></a>
                                            </span>
                                        </td>
                                        <td>
                                            <span data-fact-id-label=''  class='btn btn-floating waves-effect waves-light tooltipped label' data-position='top' data-tooltip='Imprimir Etiqueta PDF'>
                                                <a href='#' title='Imprimir Etiqueta PDF'><i class='tiny material-icons'>print</i></a>
                                            </span>
                                        </td>
                                        <td>
                                        <!-- <span data-fact-id-manifest='$recogida'   class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Manifiesto PDF'>
                                                <a href='#' title='Manifiesto PDF'><i class='tiny material-icons'>picture_as_pdf</i></a>
                                            </span> -->
                                        </td> 
                                    </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        </div>    
    </div>
</div>


<div class="panel">
    <div class="panel sendingbay-admin-panel">
        <div class="panel-heading">
            <i class="icon-list"></i> {l s='Consultar Devoluciones' d='Modules.sendingbay'}
            <div class='text-right'>
                <a href='#' data-update-state-return='' class='btn btn-default update-state-return' title='Ejecutar Actualizador de estados recogidas'>Ejecutar Actualizador de estados recogidas</a>                    
            </div>                          
        </div>
    <div class="form-wrapper">  
    <div id="notifyReturn" class='' style="display: none;">
           <div class="alert alert-success">
            <strong>Success!</strong> Estados Recogidas Actualizados.
        </div>
    </div>     

        <div class="row"><br>
            <form action="#" method="POST" id="frmFiltFechaD">
                <div class="text-left">
                    <div class="col-sm-12 col-lg-4">
                        <label for="fechaDesdeD">Fecha desde:</label>
                        <input type="date" class="form-control" value="" name="fechaDesdeD" id="fechaDesdeD" required>

                    </div>
                    <div class="col-sm-12 col-lg-4">
                        <label for="fechaHastaD">Fecha hasta:</label>
                        <input type="date" class="form-control" value="" name="fechaHastaD" id="fechaHastaD" required>
                    </div>
                    <div class="col-sm-12 col-lg-4">
                        <a class="btn btn-primary" id="btnFiltrarD" style="margin-top:22px;" >
                            <span>Filtrar busqueda</span>
                        </a>
                    </div>

                </div>
            </form>
        </div>
        <div class="mensajeD"></div>
        <div id="manifestSearchD" style="display: none;">
                    <div class='form-group'><br>
                            <span class="">
                                <i class="icon-search"></i>
                            </span> 
                            <label for=''>Filtrar listado por numero de orden o recogida </label>
                            <input type='text' class='form-control' id='buscarD'>                        
                    </div>
            
        <div class="row">
                <span class="center-left"><span class="center-left"> 
                <br><img class="" src="" style="margin: -10px 9px;border-radius: 49%;" width="52px" /></span>
                <br><br>
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Orden</th>
                                <th>Recogida</th>
                                <th>Cliente</th>
                                <th>Estado</th>
                                <th>Seguimiento</th>
                                <th>Detalles Recogida</th>
                                <th>Estados Recogida</th>
                                <th>Imprimir Recogida</th>
                            </tr>

                        </thead>
                        <tbody id="tblOrdenesD">
                        
                                    <tr id='idR' idRegistro=''>
                                        <td id='fecD' fecha=''></td>
                                        <td id='ordD' orden=''></td>
                                        <td id='recD' albaran =''> </td>
                                        <td id='cliD' cliente =''></td>
                                        <td id='estD' estado =''></td>
                                        <td id='segD' estado =''></td>
                                        <td>
                                            <span data-fact-return-view='' class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Detalles del Envío'>
                                            <a href='#' title='Visualizar Detalles del Envío'><i class='tiny material-icons'>visibility</i></a>
                                            </span>
                                        </td>
                                        <td>
                                            <span data-fact-return-list='' class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Estados del Envío'>
                                            <a href='#' title='Visualizar Estados del Envío'><i class='tiny material-icons'>list</i></a>
                                            </span>
                                        </td>
                                        <td>
                                            <span data-fact-return-label=''  class='btn btn-floating waves-effect waves-light tooltipped label' data-position='top' data-tooltip='Imprimir Etiqueta PDF'>
                                                <a href='#' title='Imprimir Etiqueta PDF'><i class='tiny material-icons'>print</i></a>
                                            </span>
                                        </td>
                                        <td>
                                        <!-- <span data-fact-id-manifest='$recogida'   class='btn btn-floating waves-effect waves-light tooltipped' data-position='top' data-tooltip='Manifiesto PDF'>
                                                <a href='#' title='Manifiesto PDF'><i class='tiny material-icons'>picture_as_pdf</i></a>
                                            </span> -->
                                        </td> 
                                    </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        </div>    
    </div>
</div>



<!-- The Modal Detalles Envío -->
<div id="view_fact_order" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
             <h4 class="modal-title">Datos del envío</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div class="spinner-border"><img src="../modules/sendingbay/views/img/preload.gif" /></div>
            <table id="tblEnvio">
                <tr>
                    <td>

                    </td>
                </tr>
            </table>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

<!-- The Modal Detalles Recogida -->
<div id="view_return_order" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
             <h4 class="modal-title">Datos de la Recogida</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div class="spinner-border"><img src="../modules/sendingbay/views/img/preload.gif" /></div>
            <table id="tblRecogida">
                <tr>
                    <td>

                    </td>
                </tr>
            </table>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

<!-- The Modal Estados Envío -->
<div id="view_fact_list" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Historial estados envío</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div class="spinner-border"><img src="../modules/sendingbay/views/img/preload.gif" /></div>
            <table class="table" id="tblEstados">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Estado</th>
                        <th>DetalleEstado</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

<!-- The Modal Estados Recogida -->
<div id="view_return_list" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Historial estados Recogida</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div class="spinner-border"><img src="../modules/sendingbay/views/img/preload.gif" /></div>
            <table class="table" id="tblEstadosD">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Estado</th>
                        <th>DetalleEstado</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

<!-- The Modal Imprimir etiqueta -->
<div id="view_fact_label" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Etiqueta Envío Imprimir PDF</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div id="etiquetaPdf">
                <a href='' id='urlLabelPdf' target='_blank'>Imprimir Etiqueta PDF</a></br></br>
                <iframe width='100%' id='ifmLabelPdf' height='400' src=''> </iframe></br></br>

            </div>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

<!-- The Modal Imprimir etiqueta -->
<div id="view_return_label" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Etiqueta Recogida Imprimir PDF</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div id="etiquetaPdfD">
                <a href='' id='urlLabelPdfD' target='_blank'>Imprimir Etiqueta PDF</a></br></br>
                <iframe width='100%' id='ifmLabelPdfD' height='400' src=''> </iframe></br></br>

            </div>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

<!-- The Modal Documentacion -->
<div id="view_tutorial" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Video Explicativo</h4>
            </div>
            
            <!-- Modal body -->
            <div class="modal-body">
            <center>
            <div id="">
                <iframe width="560" height="315" src="https://www.youtube.com/embed/Q0XQSl0r8AE" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></br>
            </div>
            </center>
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
            
        </div>
    </div>
</div>

